List of all members
clan::PixelBufferLock< Type > Class Template Reference
clanDisplay Display

PixelBuffer locking helper. More...

`#include <pixel_buffer_lock.h>`

## Public Member Functions
Construction
| PixelBufferLock (GraphicContext &gc, PixelBuffer &pixel_buffer, BufferAccess access, bool lock_pixelbuffer=true)
| Constructs a gpu pixel buffer lock. More...
| PixelBufferLock (PixelBuffer &pixel_buffer, bool lock_pixelbuffer=true)
| Constructs a system pixel buffer lock. More...
| ~PixelBufferLock ()
Attributes
int | get_lock_count () const
| Returns the amounts of recursive pixel_buffer locks performed by this section. More...
Type * | get_data ()
Type * | get_row (int y)
Type & | get_pixel (int x, int y)
int | get_width () const
int | get_height () const
int | get_pitch () const
Operations
void | lock (GraphicContext &gc, BufferAccess access)
| Lock the gpu pixel_buffer. More...
void | lock ()
| Lock the system pixel_buffer. More...
void | unlock ()
| Unlock pixel_buffer. More...

## Detailed Description

### template<typename Type>
class clan::PixelBufferLock< Type >

PixelBuffer locking helper.

The documentation for this class was generated from the following file:

- pixel_buffer_lock.h